component: PredictionServerComponentFaults
metric: zoox::diag::EmptyMetric
namespace: zoox::prediction
faults:
  - id: 0
    name: PCP_NEWER_THAN_CURRENT_TIME
    severity: WARNING
    description: "Agent has a perception timestamp that is ahead of the current timestamp."
  - id: 1
    name: PCP_STALE
    severity: WARNING
    description: "Agent has a perception timestamp that is significantly older than current timestamp."
  - id: 2
    name: HERO_STATE_FOR_PO2_ARE_STALE
    severity: WARNING
    description: "Difference between nearest hero state timestamp to current po2 timestamp is > 1.0s."
  - id: 3
    name: HERO_STATE_NOT_FOUND
    severity: WARNING
    description: "No hero state at or before the current timestamp was found."
  - id: 4
    name: OBSTACLE_CONVERSION_FAILED
    severity: WARNING
    description: "Obstacle conversion failed because of unhandled inputs"
